# delete

abstract fun delete(vararg paths: Any): Boolean

Deletes files and directories.

This will not follow symlinks. If you need to follow symlinks too use delete.

#### Return

true if anything got deleted, false otherwise

#### Parameters

paths

Any type of object accepted by file

abstract fun delete(configuration: Action<DeleteSpec>): WorkResult

Deletes the specified files.

#### Return

`WorkResult` that can be used to check if delete did any work.

#### Parameters

configuration

The block to use to configure the DeleteSpec.